__doc__ = """ This adds an extension to imaplib to support the
NAMESPACE extension to IMAP.
"""

import imaplib

imaplib.Commands['NAMESPACE'] = ('AUTH', 'SELECTED')

class IMAP4(imaplib.IMAP4):
    """ The NotIMAP extension to the IMAP4 class) """
    def namespace(self):
	""" Returns namespaces.  The server MUST have NAMESPACE listed 
	in it's capabilities.
	"""
	name = 'NAMESPACE'
	typ, dat = self._simple_command(name)
	return self._untagged_response(typ, dat, name)

